Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78204 - (NET 8139TOO) driver not initializing eth0
Summary: (NET 8139TOO) driver not initializing eth0
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-20 00:09 UTC by the1dream
Modified: 2013-07-03 02:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:13 UTC


Attachments (Terms of Use)

Description the1dream 2002-11-20 00:09:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
eth0 is a Realtek Semi...8139/8139C/...
The 8139too driver loads fine.  Doesn't hang the system or anything... but when
the system tries to bring the card up at boot (or any other) time, it fails with
a 'device or resource busy' message.  The card works fine in another machine
(RH7.x) using the same driver.
H/W - Dual Athlon 1800 on Asus A7m266 m/b
Installed from CD - Redhat 8.0

After loading the modules for the card manually and 'network restart,' 'ifconfig
eth0 up,' and reboots, upon attempting to bring the eth0 interface up, it failed
with a 'device or resource busy' error.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Reboot the PC
2.network restart
3.
#  ifconfig eth0 down
#  ifconfig eth0 up


Actual Results:  The interface goes down normally on shutdowns or net. restarts.
"device or resource busy" is the response whenever attempts are made to bring it
back up.

Expected Results:  "OK"... since you asked... 

Additional info:

Comment 1 Harald Hoyer 2002-11-20 10:33:17 UTC
seems to be a kernel problem rather than of redhat-config-network
reassigning

Comment 2 Arjan van de Ven 2002-11-20 10:42:38 UTC
jeff: sounds like your ballgame

Comment 3 Bugzilla owner 2004-09-30 15:40:13 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.